import { Ref } from 'vue';
declare type TargetValue<T> = T | undefined | null;
declare type TargetType = HTMLElement | Element | Window | Document;
export declare type BasicTarget<T extends TargetType = Element> = (() => TargetValue<T>) | TargetValue<T> | Ref<TargetValue<T>>;
declare type Size = {
    width: Ref<number>;
    height: Ref<number>;
};
/**
 *
 * @param {dom id节点或者 ref句柄} target
 */
export default function useSize(target: BasicTarget): Size | undefined;
export {};
